


NSRRETRIEVE(8)                                     NSRRETRIEVE(8)


NNAAMMEE
       nsrretrieve - retrieve NetWorker archive save sets

SSYYNNOOPPSSIISS
       nnssrrrreettrriieevvee  [[--ff]] [[--nn]] [[--qq]] [[--ii {{nnNNyyYYrrRR}}]] [[--dd _d_e_s_t_i_n_a_t_i_o_n]]
       --ss _s_e_r_v_e_r  [[--SS  _s_s_i_d_[_/_c_l_o_n_e_i_d_]]]......  [[--AA  _a_n_n_o_t_a_t_i_o_n]]......  [[
       _p_a_t_h]]......

DDEESSCCRRIIPPTTIIOONN
       nnssrrrreettrriieevvee  is used to restore archive save sets from the
       NetWorker server.  No browsing  is  available  via  nnssrrrree--
       ttrriieevvee.   Use  of nnssrrrreettrriieevvee is restricted to administra-
       tors and users on the list of archive users for an archive
       client  resource,  see the nnssrr__cclliieenntt(5) man page for fur-
       ther details.  When not running as root,  only  files  the
       user owns can be recovered.

OOPPTTIIOONNSS
       --AA _a_n_n_o_t_a_t_i_o_n
              _A_n_n_o_t_a_t_i_o_n  is  a regular expression which uniquely
              identifies a single archive save  set  (see  nnssrraarr--
              cchhiivvee(8)).   The  regular expression is of the form
              used by ggrreepp(1).

       --SS _s_s_i_d_[_/_c_l_o_n_e_i_d_]
              _S_s_i_d specifies the  save  set  id's  for  the  save
              set(s)  to  be  retrieved.  When there are multiple
              clone  instances  for  an  archive  save  set,  the
              _c_l_o_n_e_i_d can be also be specified to select the par-
              ticular clone instance to be retrieved from.   When
              no  _p_a_t_h  arguments  are specified, the entire save
              set contents will be retrieved.   To  restrict  the
              archive save set retrieve to only particular direc-
              tories or files matching a given path prefix, exact
              matching  _p_a_t_h's  can  be  specified to limit which
              directories and files are retrieved.

       --dd _d_e_s_t_i_n_a_t_i_o_n
              Specifies the  destination  directory  to  relocate
              retrieved  files  to.  Using this option is equiva-
              lent to using the rreellooccaattee command when in interac-
              tive mode (discussed below).

       --ss _s_e_r_v_e_r
              Selects which NetWorker server to use.  The default
              is  the  server  of  the  first   directory   being
              retrieved,  if it is a network file server and Net-
              Worker server.  Otherwise, the current  machine  if
              it  is  running  a  server, or the machine with the
              logical name ``nsrhost'' in  the  host  table  (see
              hhoossttss(5)).

       --qq     The  nnssrrrreettrriieevvee command normally runs with verbose
              output. This flag turns off the verbose output.



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





NSRRETRIEVE(8)                                     NSRRETRIEVE(8)


       --ff     Indicates  that  retrieved  files  will   overwrite
              existing files whenever a name conflict occurs.

       --nn     When  retrieving, do not actually create any direc-
              tories or files.

       --ii {{nnNNyyYYrrRR}}
              Specifies the initial default overwrite response to
              use  when  recovering  files  and  the file already
              exists.  Only one letter may  be  specified.   This
              option  is the same as the uuaassmm --ii option when run-
              ning in recover mode.  See the uuaassmm(8) man page for
              a detailed explanation of this option.

SSEEEE AALLSSOO
       ggrreepp(1), uuaassmm(8), nnssrraarrcchhiivvee(8), hhoossttss(5), nnssrr__sseerrvviiccee(5),
       nnssrr__cclliieenntt(5), nnssrr(8), nnssrrdd(8).

DDIIAAGGNNOOSSTTIICCSS
       nnssrrrreettrriieevvee  complains  about  bad  option  characters  by
       printing  a  ``usage''  message  describing  the available
       options.


       CCaannnnoott ooppeenn rreettrriieevvee sseessssiioonn wwiitthh _s_e_r_v_e_r
              This  message  indicates  that  some  problem   was
              encountered  connecting  to the NetWorker server on
              the named machine.

       ccaannnnoott rreettrriieevvee bbaacckkuupp ssaavvee sseettss
              nnssrrrreettrriieevvee can only be  used  to  restore  archive
              save set data

























NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2


